{{ ansible_managed | comment }}
# http://prometheus.io/docs/operating/configuration/

rule_files:
  - "{{ prometheus_rules_file }}"

global:
  {{ prometheus_global | to_nice_yaml(indent=2,sort_keys=False) | indent(2, False) }}
  external_labels:
    {{ prometheus_external_labels | to_nice_yaml(indent=2,sort_keys=False) | indent(4, False) }}

{% if prometheus_alertmanager_config | length > 0 %}
alerting:
  alertmanagers:
  {{ prometheus_alertmanager_config | to_nice_yaml(indent=2,sort_keys=False) | indent(2,False) }}
  {% if prometheus_alert_relabel_configs | length > 0 %}
  alert_relabel_configs:
  {{ prometheus_alert_relabel_configs | to_nice_yaml(indent=2,sort_keys=False) | indent(2,False) }}
  {% endif %}
{% endif %}

scrape_configs:
  {{ prometheus_scrape_configs | to_nice_yaml(indent=2,sort_keys=False) | indent(2,False) }}
